CVE-2016-10540

Priority
Description
Minimatch is a minimal matching utility that works by converting glob
expressions into JavaScript `RegExp` objects. The primary function,
`minimatch(path, pattern)` in Minimatch 3.0.1 and earlier is vulnerable to
ReDoS in the `pattern` parameter.
Ubuntu-Description
It was discovered that Minimatch did not perform necessary bounds checking on
regular expressions. An attacker could use this vulnerability to cause a
denial of service.
Assigned-to
mikesalvatore
Notes
Package
Upstream:released (3.0.4)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (3.0.4-3)
Ubuntu 19.10 (Eoan Ermine):not-affected (3.0.4-3)
Ubuntu 20.04 (Focal Fossa):not-affected (3.0.4-3)
Patches:
Upstream:https://github.com/isaacs/minimatch/commit/6944abf9e0694bd22fd9dad293faa40c2bc8a955
More Information

Updated: 2020-04-24 03:23:20 UTC (commit d3f8a6ed481830fb100109a132bef581fc4176fe)